> ## Documentation Index
> Fetch the complete documentation index at: https://docsy3.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom Module

> A "custom module" is like a personalized menu option in the platform

## What is Custom Module?

A "custom module" is like a personalized menu option in the platform. It's something you can create and customize to make it easy to access specific features or content.

## Key Features

> [card] [Read custom modules](https://docsy3.mile.app/api-reference/setting/custom-module/read-custom-modules.md)
>
> GET /custom-modules

> [card] [Create custom module](https://docsy3.mile.app/api-reference/setting/custom-module/create-custom-module.md)
>
> POST /custom-module

> [card] [Read custom module by ID](https://docsy3.mile.app/api-reference/setting/custom-module/read-custom-module-by-id.md)
>
> GET /custom-module/{id}

> [card] [Update custom module](https://docsy3.mile.app/api-reference/setting/custom-module/update-custom-module.md)
>
> PUT /custom-module/{id}

> [card] [Delete custom module](https://docsy3.mile.app/api-reference/setting/custom-module/delete-custom-module.md)
>
> DELETE /custom-module/{id}


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.